summaryrefslogtreecommitdiffstats
path: root/src/3rdparty/freetype/import_from_tarball.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/3rdparty/freetype/import_from_tarball.sh')
-rw-r--r--src/3rdparty/freetype/import_from_tarball.sh89
1 files changed, 89 insertions, 0 deletions
diff --git a/src/3rdparty/freetype/import_from_tarball.sh b/src/3rdparty/freetype/import_from_tarball.sh
new file mode 100644
index 0000000000..6275cfb403
--- /dev/null
+++ b/src/3rdparty/freetype/import_from_tarball.sh
@@ -0,0 +1,89 @@
+#! /bin/sh
+
+#############################################################################
+##
+## Copyright (C) 2015 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is the build configuration utility of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This is a small script to copy the required files from a freetype tarball
+# into 3rdparty/freetype/ . Documentation, tests, demos etc. are not imported.
+
+if [ $# -ne 2 ]; then
+ echo "Usage: $0 freetype_tarball_dir/ \$QTDIR/src/3rdparty/freetype/"
+ exit 1
+fi
+
+FT_DIR=$1
+TARGET_DIR=$2
+
+if [ ! -d "$FT_DIR" -o ! -r "$FT_DIR" -o ! -d "$TARGET_DIR" -o ! -w "$TARGET_DIR" ]; then
+ echo "Either the freetype source dir or the target dir do not exist,"
+ echo "are not directories or have the wrong permissions."
+ exit 2
+fi
+
+# with 1 argument, copies FT_DIR/$1 to TARGET_DIR/$1
+# with 2 arguments, copies FT_DIR/$1 to TARGET_DIR/$2
+copy_file_or_dir() {
+ if [ $# -lt 1 -o $# -gt 2 ]; then
+ echo "Wrong number of arguments to copy_file_or_dir"
+ exit 3
+ fi
+
+ SOURCE_FILE=$1
+ if [ -n "$2" ]; then
+ DEST_FILE=$2
+ else
+ DEST_FILE=$1
+ fi
+
+ mkdir -p "$TARGET_DIR/$(dirname "$SOURCE_FILE")"
+ cp -R "$FT_DIR/$SOURCE_FILE" "$TARGET_DIR/$DEST_FILE"
+}
+
+FILES="
+ README
+ builds/unix/ftsystem.c
+ docs/CHANGES
+ docs/CUSTOMIZE
+ docs/DEBUG
+ docs/PROBLEMS
+ docs/TODO
+ docs/FTL.TXT
+ docs/GPLv2.TXT
+ docs/LICENSE.TXT
+ include/
+ src/
+"
+
+for i in $FILES; do
+ copy_file_or_dir "$i"
+done